CMSIS-Driver: CAN Operation Codes

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
CAN Operation Codes
CAN Control Codes

Set CAN operation modes. More...

## Macros

#define | ARM_CAN_SET_FD_MODE (1UL << ARM_CAN_CONTROL_Pos)
| Set FD operation mode; arg: 0 = disable, 1 = enable. More...
#define | ARM_CAN_ABORT_MESSAGE_SEND (2UL << ARM_CAN_CONTROL_Pos)
| Abort sending of CAN message; arg = object. More...
#define | ARM_CAN_CONTROL_RETRANSMISSION (3UL << ARM_CAN_CONTROL_Pos)
| Enable/disable automatic retransmission; arg: 0 = disable, 1 = enable (default state) More...
#define | ARM_CAN_SET_TRANSCEIVER_DELAY (4UL << ARM_CAN_CONTROL_Pos)
| Set transceiver delay; arg = delay in time quanta. More...

## Description

Set CAN operation modes.

These controls set the CAN operation using the function ARM_CAN_Control.

## Macro Definition Documentation

#define ARM_CAN_SET_FD_MODE (1UL << ARM_CAN_CONTROL_Pos)

Set FD operation mode; arg: 0 = disable, 1 = enable.

See Also
  ARM_CAN_Control

#define ARM_CAN_ABORT_MESSAGE_SEND (2UL << ARM_CAN_CONTROL_Pos)

Abort sending of CAN message; arg = object.

See Also
  ARM_CAN_Control

#define ARM_CAN_CONTROL_RETRANSMISSION (3UL << ARM_CAN_CONTROL_Pos)

Enable/disable automatic retransmission; arg: 0 = disable, 1 = enable (default state)

See Also
  ARM_CAN_Control

#define ARM_CAN_SET_TRANSCEIVER_DELAY (4UL << ARM_CAN_CONTROL_Pos)

Set transceiver delay; arg = delay in time quanta.

See Also
  ARM_CAN_Control